A PHP code sniffer task.

Checking the style of one or more PHP source files.

author | Dirk Thomas
version | $Id: 2194d6e6307b4c64d60ec3d83975583fcaca5c03 $
package | phing.tasks.ext
copyright | 2001,2002 THYRELL. All rights reserved

### Methods

## Creates a config parameter for this task

    createConfig() : \Parameter

### Returns

`\Parameter`The created parameter

## Nested creator, creates a FileSet for this task

    createFileSet() : \FileSet

### Returns

`\FileSet`The created fileset object

## Create object for nested formatter element.

    createFormatter() : \CodeSniffer_FormatterElement

### Returns

`\CodeSniffer_FormatterElement`

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Load the necessary environment for running PHP_CodeSniffer.

    init() : void

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## Executes PHP code sniffer against PhingFile or a FileSet

    main()

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## Sets the allowed file extensions when using directories instead of specific files

    setAllowedFileExtensions(array $extensions)

### Parameters

#### $extensions

`array`

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## Sets the outfile for the documentation

    setDocFile(\PhingFile $file) : void

### Parameters

#### $file

`\PhingFile`

The outfile for the doc

## Sets the type of the doc generator

    setDocGenerator(string $generator) : void

### Parameters

#### $generator

`string`

HTML or Text

## Sets file encoding

    setEncoding(string $encoding)

### Parameters

#### $encoding

`string`

## File to be performed syntax check on

    setFile(\PhingFile $file)

### Parameters

#### $file

`\PhingFile`

## Sets the output format

    setFormat(string $format)

### Parameters

#### $format

`string`

## Sets the haltonerror flag

    setHaltonerror(boolean $value)

### Parameters

#### $value

`boolean`

## Sets the haltonwarning flag

    setHaltonwarning(boolean $value)

### Parameters

#### $value

`boolean`

## Sets the ignore patterns to skip files when using directories instead of specific files

    setIgnorePatterns($patterns)

### Parameters

#### $patterns

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the flag if subdirectories should be skipped

    setNoSubdirectories(boolean $subdirectories)

### Parameters

#### $subdirectories

`boolean`

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Sets the width of the report

    setReportWidth(int $width) : void

### Parameters

#### $width

`int`

How wide the screen reports should be.

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the flag if the used sniffs should be listed

    setShowSniffs(boolean $show)

### Parameters

#### $show

`boolean`

## Sets the flag if sources should be shown

    setShowSources(boolean $show) : void

### Parameters

#### $show

`boolean`

Whether to show sources or not

## Sets the flag if warnings should be shown

    setShowWarnings(boolean $show)

### Parameters

#### $show

`boolean`

## Sets the skipversioncheck flag

    setSkipVersionCheck(boolean $value)

### Parameters

#### $value

`boolean`

## Sets the sniffs which the standard should be restricted to

    setSniffs(string $sniffs)

### Parameters

#### $sniffs

`string`

## Sets the coding standard to test for

    setStandard(string $standard) : void

### Parameters

#### $standard

`string`

The coding standard

## Sets the tab width to replace tabs with spaces

    setTabWidth(int $width)

### Parameters

#### $width

`int`

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## Sets the verbosity level

    setVerbosity(int $level)

### Parameters

#### $level

`int`

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

## Outputs the results with a custom format

    outputCustomFormat(array $report)

### Parameters

#### $report

`array`

Packaged list of all errors in each file

## Outputs the messages of a specific type for one file

    outputCustomFormatMessages(array $messages, string $type)

### Parameters

#### $messages

`array`

#### $type

`string`

## Prints the error report.

    printErrorReport(\PHP_CodeSniffer $phpcs) : int

### Parameters

#### $phpcs

`\PHP_CodeSniffer`

The PHP_CodeSniffer object containing the errors.

### Returns

`int`The number of error and warning messages shown.

### Properties

##

    $allowedFileExtensions

##

    $configData

##

    $description : string

Inherited

inherited_from | \Task::$$description

##

    $docFile : \PhingFile

##

    $docGenerator : string

##

    $encoding

##

    $file

##

    $filesets

##

    $format

##

    $formatters

##

    $ignorePatterns

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

##

    $noSubdirectories

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

##

    $reportWidth

##

    $showSniffs

##

    $showSources

##

    $showWarnings

##

    $sniffs

##

    $standard

##

    $tabWidth

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

##

    $verbosity

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper

##

    $haltonerror

##

    $haltonwarning

##

    $skipversioncheck